import { createVNode as _createVNode } from "vue";
import _extends from "@babel/runtime/helpers/esm/extends";
import { defineComponent } from 'vue';
const Palette = defineComponent({
  name: 'Palette',
  inheritAttrs: false,
  props: {
    style: Object,
    prefixCls: String
  },
  setup(props, {
    slots
  }) {
    return () => {
      var _a;
      return _createVNode("div", {
        "class": `${props.prefixCls}-palette`,
        "style": _extends({
          position: 'relative'
        }, props.style)
      }, [(_a = slots.default) === null || _a === void 0 ? void 0 : _a.call(slots)]);
    };
  }
});
export default Palette;